<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@1CFF38=09</action>
    </script>
  </cheat>

  <cheat desc="Select Starting Stage"> <comment>Use this cheat on the Player Selection Screen</comment>
    <parameter min="1" max="7" step="1"/>
    <script state="change">
      <action>maincpu.pb@1CFEC8=(param)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@21390C=05</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bombs PL1">
    <script state="run">
      <action>maincpu.pb@21393B=10</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action>maincpu.pw@215CC8=0002</action>
    </script>
  </cheat>

  <cheat desc="Always Maximum Shot Power PL1">
    <script state="run">
      <action>maincpu.pb@21390E=06</action>
    </script>
  </cheat>

  <cheat desc="Always Maximum Laser Power PL1">
    <script state="run">
      <action>maincpu.pb@213922=08</action>
    </script>
  </cheat>

  <cheat desc="Always Maximum Item Bonus PL1">
    <script state="run">
      <action>maincpu.pb@21393E=09</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire PL1"> <comment>Turn it OFF on the name entry screen and make sure it's OFF in Test Mode.</comment>
    <script state="run">
      <action>maincpu.pb@1D00B4=00|(maincpu.pb@1D00B4 BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc="Auto Fire (Only R-Gray 1) PL1">
    <script state="run">
      <action>maincpu.pb@213914=09</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@215D6C=05</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bombs PL2">
    <script state="run">
      <action>maincpu.pb@215D9B=10</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pw@218128=0002</action>
    </script>
  </cheat>

  <cheat desc="Always Maximum Shot Power PL2">
    <script state="run">
      <action>maincpu.pb@215D6E=06</action>
    </script>
  </cheat>

  <cheat desc="Always Maximum Laser Power PL2">
    <script state="run">
      <action>maincpu.pb@215D82=08</action>
    </script>
  </cheat>

  <cheat desc="Always Maximum Item Bonus PL2">
    <script state="run">
      <action>maincpu.pb@215D9E=09</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire PL2"> <comment>Turn it OFF on the name entry screen and make sure it's OFF in Test Mode.</comment>
    <script state="run">
      <action>maincpu.pb@1D00B8=00|(maincpu.pb@1D00B8 BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc="Auto Fire (Only R-Gray 1) PL2">
    <script state="run">
      <action>maincpu.pb@215D74=09</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
